Subscriptions - List
Gets all subscriptions for a tenant.
GET https://management.azure.com/subscriptions?api-version=2022-12-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetAllSubscriptions
Sample response
{
"nextLink": "http://nextlink",
"value": [
{
"authorizationSource": "RoleBased",
"displayName": "Example Subscription",
"id": "/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05",
"managedByTenants": [
{
"tenantId": "8f70baf1-1f6e-46a2-a1ff-238dac1ebfb7"
}
],
"state": "Enabled",
"subscriptionId": "291bba3f-e0a5-47bc-a099-3bdcb2a50a05",
"subscriptionPolicies": {
"locationPlacementId": "Internal_2014-09-01",
"quotaId": "Internal_2014-09-01",
"spendingLimit": "Off"
},
"tags": {
"tagKey1": "tagValue1",
"tagKey2": "tagValue2"
},
"tenantId": "31c75423-32d6-4322-88b7-c478bdde4858"
},
{
"authorizationSource": "RoleBased",
"displayName": "Example Subscription2",
"id": "/subscriptions/72ac930a-f34e-42d8-b06d-dc2a9e12ed71",
"managedByTenants": [
{
"tenantId": "8f70baf1-1f6e-46a2-a1ff-238dac1ebfb7"
},
{
"tenantId": "f7fb6af2-321d-47c8-9c0f-b0239eaad39a"
}
],
"state": "Enabled",
"subscriptionId": "72ac930a-f34e-42d8-b06d-dc2a9e12ed71",
"subscriptionPolicies": {
"locationPlacementId": "Internal_2014-09-01",
"quotaId": "Internal_2014-09-01",
"spendingLimit": "Off"
},
"tags": {
"tagKey1": "tagValue1",
"tagKey2": "tagValue2"
},
"tenantId": "2a0ff0de-96b2-4859-bb7c-a430d07a3e0c"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response for a resource management request. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
Information about a tenant managing the subscription. |
|
Spending |
The subscription spending limit. |
| Subscription |
Subscription information. |
|
Subscription |
Subscription list operation response. |
|
Subscription |
Subscription policies. |
|
Subscription |
The subscription state. Possible values are Enabled, Warned, PastDue, Disabled, and Deleted. |
CloudError
An error response for a resource management request.
| Name | Type | Description |
|---|---|---|
| error |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedByTenant
Information about a tenant managing the subscription.
| Name | Type | Description |
|---|---|---|
| tenantId |
string |
The tenant ID of the managing tenant. This is a GUID. |
SpendingLimit
The subscription spending limit.
| Value | Description |
|---|---|
| On |
On |
| Off |
Off |
| CurrentPeriodOff |
CurrentPeriodOff |
Subscription
Subscription information.
| Name | Type | Description |
|---|---|---|
| authorizationSource |
string |
The authorization source of the request. Valid values are one or more combinations of Legacy, RoleBased, Bypassed, Direct and Management. For example, 'Legacy, RoleBased'. |
| displayName |
string |
The subscription display name. |
| id |
string |
The fully qualified ID for the subscription. For example, /subscriptions/8d65815f-a5b6-402f-9298-045155da7d74 |
| managedByTenants |
An array containing the tenants managing the subscription. |
|
| state |
The subscription state. Possible values are Enabled, Warned, PastDue, Disabled, and Deleted. |
|
| subscriptionId |
string |
The subscription ID. |
| subscriptionPolicies |
The subscription policies. |
|
| tags |
object |
The tags attached to the subscription. |
| tenantId |
string |
The subscription tenant ID. |
SubscriptionListResult
Subscription list operation response.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The Subscription items on this page |
SubscriptionPolicies
Subscription policies.
| Name | Type | Description |
|---|---|---|
| locationPlacementId |
string |
The subscription location placement ID. The ID indicates which regions are visible for a subscription. For example, a subscription with a location placement Id of Public_2014-09-01 has access to Azure public regions. |
| quotaId |
string |
The subscription quota ID. |
| spendingLimit |
The subscription spending limit. |
SubscriptionState
The subscription state. Possible values are Enabled, Warned, PastDue, Disabled, and Deleted.
| Value | Description |
|---|---|
| Enabled |
Enabled |
| Warned |
Warned |
| PastDue |
PastDue |
| Disabled |
Disabled |
| Deleted |
Deleted |